org.osgi.framework.BundleException: Exception in org.apache.karaf.features.internal.service.FeaturesServiceImpl$3.end()

GitHub | bsutton | 4 months ago
  1. 0

    GitHub comment 66#222409805

    GitHub | 6 months ago | abedwardsw
    org.osgi.framework.BundleException: Exception in org.apache.karaf.features.internal.service.FeaturesServiceImpl$3.end()
  2. 0

    OpenHab 2 startup Could not resolved module ui.paper

    GitHub | 4 months ago | bsutton
    org.osgi.framework.BundleException: Exception in org.apache.karaf.features.internal.service.FeaturesServiceImpl$3.end()
  3. 0

    Fuse: Fix failing smoke tests on Windows (Luna)

    GitHub | 1 year ago | apodhrad
    org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.ui.macosx [183] Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    OSX: Fehler beim Start

    GitHub | 2 years ago | fmarczin
    org.osgi.framework.BundleException: Could not resolve module: name.abuchen.portfolio.ui [15] Unresolved requirement: Import-Package: name.abuchen.portfolio.checks -> Export-Package: name.abuchen.portfolio.checks; bundle-version="0.14.0"; bundle-symbolic-name="name.abuchen.portfolio"; version="0.0.0" name.abuchen.portfolio [14] Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"
  6. 0

    4DIAC IDE views

    fordiac | 2 years ago | niko87
    org.osgi.framework.BundleException: Could not resolve module: org.eclipse.gmf.runtime.diagram.ui.render [198] Unresolved requirement: Require-Bundle: org.eclipse.gmf.runtime.draw2d.ui.render.awt; bundle-version="[1.2.0,2.0.0)" -> Bundle-SymbolicName: org.eclipse.gmf.runtime.draw2d.ui.render.awt; bundle-version="1.8.0.201408201453"; singleton:="true" org.eclipse.gmf.runtime.draw2d.ui.render.awt [203] Unresolved requirement: Require-Bundle: org.apache.batik.ext.awt; bundle-version="[1.6.0,1.7.0)" -> Bundle-SymbolicName: org.apache.batik.ext.awt; bundle-version="1.6.0.v201011041432" org.apache.batik.ext.awt [17] Unresolved requirement: Require-Bundle: org.apache.batik.util; bundle-version="[1.6.0,1.7.0)"

    46 unregistered visitors
    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. org.osgi.framework.BundleException

      Exception in org.apache.karaf.features.internal.service.FeaturesServiceImpl$3.end()

      at org.eclipse.osgi.internal.framework.OSGiFrameworkHooks$CoreResolverHookFactory.handleHookException()
    2. Eclipse OSGi
      EventManager$EventThread.run
      1. org.eclipse.osgi.internal.framework.OSGiFrameworkHooks$CoreResolverHookFactory.handleHookException(OSGiFrameworkHooks.java:164)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      2. org.eclipse.osgi.internal.framework.OSGiFrameworkHooks$CoreResolverHookFactory$CoreResolverHook.end(OSGiFrameworkHooks.java:340)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      3. org.eclipse.osgi.container.ModuleResolver$ResolveProcess.resolve(ModuleResolver.java:901)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      4. org.eclipse.osgi.container.ModuleResolver.resolveDelta(ModuleResolver.java:111)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      5. org.eclipse.osgi.container.ModuleContainer.resolveAndApply(ModuleContainer.java:479)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      6. org.eclipse.osgi.container.ModuleContainer.resolve(ModuleContainer.java:437)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      7. org.eclipse.osgi.container.ModuleContainer.resolve(ModuleContainer.java:427)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      8. org.eclipse.osgi.container.Module.start(Module.java:416)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      9. org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1498)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      10. org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      11. org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      12. org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)[org.eclipse.osgi-3.10.2.v20150203-1939.jar:]
      12 frames